#
# spec file for package perl-Goo-Canvas
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 open-slx GmbH <Sascha.Manns@open-slx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Goo-Canvas
Version:        0.06
Release:        bp153.1.15
%define cpan_name Goo-Canvas
Summary:        Goo::Canvas Perl module
License:        GPL-2.0+ or Artistic-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Goo-Canvas/
#Source:        http://www.cpan.org/authors/id/Y/YE/YEWENBIN/Goo-Canvas-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
Patch0:         Goo-Canvas-0.06-add_missing_prototype.patch
Patch1:         Goo-Canvas-0.06-fix_documentation.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cairo-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  perl
BuildRequires:  perl-Cairo
BuildRequires:  perl-Glib
BuildRequires:  perl-Gtk2
BuildRequires:  perl-macros
BuildRequires:  pkg-config

%if %suse_version <= 1140
BuildRequires:  goocanvas-devel
%else
BuildRequires:  libgoocanvas3-devel
%endif

%{perl_requires}

%description
Goo::Canvas Perl module

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0
%patch1

%build
export CFLAGS="%{optflags}"
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags} NOECHO=""

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)

%changelog
* Wed Mar  6 2013 coolo@suse.com
- update license to new format
* Mon Aug 22 2011 vcizek@novell.com
- added goo_canvas_cairo_PATTERN_from_pixbuf prototype
- renamed patches to include version number
- licence correction
* Fri Aug 19 2011 pth@suse.de
- Add missing prototype for goo_canvas_cairo_surface_from_pixbuf.
- Fix documentation.
* Wed Aug 17 2011 Sascha.Manns@open-slx.de
- Used constant our Macros
- Deleted BR disallowing of the BuildChecks
* Fri Aug  5 2011 Sascha.Manns@open-slx.de
- Changed License to the perl itself ones
* Thu Jul 21 2011 rpm@ilmi.fi
- Making this work on openSUSE Factory
* Sun Mar 21 2010 rpm@ilmi.fi
- Added to this repo
